Polyline vertex bul

(defun c:FindPolylineVertices () (setq polyLine (car (entsel "\nSelect a polyline: "))) (if (and polyLine (eq 'POLYLINE (cdr (assoc 0 (entget polyLine))))) (progn (setq vertices (getPolylineVertices polyLine)) (if vertices (progn (setq count 1) (foreach vertex vertices (princ (strcat "\nVertex " (itoa count) ": " (vl-princ-to-string vertex))) (setq count (1+ count)) ) ) (princ "\nNo vertices found.") ) ) (princ "\nSelected entity is not a polyline.") ) (princ) )

Yorumlar

Bu blogdaki popüler yayınlar

AUTOLISP DOSYALARININ KALICI KULLANIMI

AUTOLISP PROGRAMLARINI ÇALIŞTIRMAK

MS Access Veritabanı Tablosuna Visual Basic ile Veri Eklemek